Bug 1113621 - Virtualbox: Error -10 in SUPR3HardenedMain!
Virtualbox: Error -10 in SUPR3HardenedMain!
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Virtualization:Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Larry Finger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-27 20:18 UTC by Nathan Wolf
Modified: 2019-02-09 21:36 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Wolf 2018-10-27 20:18:44 UTC
Virtualbox fails to start as user. Does start as root.
> VirtualBox 
VirtualBox: Error -10 in SUPR3HardenedMain!
VirtualBox: Effective UID is not root (euid=1001 egid=100 uid=1001 gid=100)

VirtualBox: Tip! It may help to reinstall VirtualBox.
user@localhost:~> malloc_consolidate(): invalid chunk size
KCrash: Application 'VirtualBox' crashing...


If it is run using "kdesu" the application will run.
Comment 1 Nathan Wolf 2018-10-30 19:32:40 UTC
Updated VirtualBox on 30 Oct 2018

(1/1) Installing: virtualbox-5.2.20-463.1.x86_64 ..........................................................................................................................................[done]
Additional rpm output:
/usr/lib/virtualbox/VBoxNetNAT: will not give away s-bits on an insecure path
ERROR: not all operations were successful.
setting /usr/lib/virtualbox/VBoxNetNAT to root:vboxusers 4750. (wrong permissions 0755)
/usr/lib/virtualbox/VBoxNetDHCP: will not give away s-bits on an insecure path
ERROR: not all operations were successful.
setting /usr/lib/virtualbox/VBoxNetDHCP to root:vboxusers 4750. (wrong permissions 0750)
/usr/lib/virtualbox/VBoxNetAdpCtl: will not give away s-bits on an insecure path
ERROR: not all operations were successful.
setting /usr/lib/virtualbox/VBoxNetAdpCtl to root:vboxusers 4750. (wrong permissions 0750)
/usr/lib/virtualbox/VBoxHeadless: will not give away s-bits on an insecure path
ERROR: not all operations were successful.
setting /usr/lib/virtualbox/VBoxHeadless to root:vboxusers 4750. (wrong permissions 0750)


Executing %posttrans scripts ..............................................................................................................................................................[done]

The application will still not start:
VirtualBox 
VirtualBox: Error -10 in SUPR3HardenedMain!
VirtualBox: Effective UID is not root (euid=1001 egid=100 uid=1001 gid=100)

VirtualBox: Tip! It may help to reinstall VirtualBox.
CubicleNate@Icarus:~> malloc_consolidate(): invalid chunk size
KCrash: Application 'VirtualBox' crashing...
Comment 2 Nathan Wolf 2018-11-06 16:01:22 UTC
I removed the ~/.vbox/enable just to see what would happen. At the next launch, I  was presented with a dialog, to give me the option to enable or disable USB Passthrough. I elected to disable it. I was given another dialog to give root privileges to edit: /sbin/vbox-fix-usb-rules.sh. VirtualBox crashed and the file was not edited.

> VirtualBox 
qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 837, resource id: 37767883, major code: 40 (TranslateCoords), minor code: 0
VirtualBox: Error -10 in SUPR3HardenedMain!
VirtualBox: Effective UID is not root (euid=1000 egid=100 uid=1000 gid=100)

VirtualBox: Tip! It may help to reinstall VirtualBox.
wolfnf@Ironhide:~> malloc_consolidate(): invalid chunk size
KCrash: Application 'VirtualBox' crashing...

Leaving it enabled still crashes.
Comment 3 Nathan Wolf 2018-11-24 18:54:06 UTC
This bug has been fixed with an update.
Comment 4 Nathan Wolf 2019-01-27 16:38:42 UTC
Tumbleweed Snapshot 20190124 has reintroduced this VirtualBox error:

VirtualBox: Error -10 in SUPR3HardenedMain!
VirtualBox: Effective UID is not root (euid=1001 egid=100 uid=1001 gid=100)

VirtualBox: Tip! It may help to reinstall VirtualBox.
wolfnf@Icarus:~> malloc_consolidate(): invalid chunk size
KCrash: Application 'VirtualBox' crashing...

Information for package virtualbox:
-----------------------------------
Repository     : Main Repository (OSS)    
Name           : virtualbox               
Version        : 5.2.22-3.2               
Arch           : x86_64                   
Vendor         : openSUSE                 
Installed Size : 35.8 MiB                 
Installed      : Yes                      
Status         : up-to-date               
Source package : virtualbox-5.2.22-3.2.src
Comment 5 Nathan Wolf 2019-02-09 21:36:32 UTC
As of openSUSE Tumbleweed 20190205 This has been corrected. Maybe sooner.